Installazione amule-adunanza-2012.1-2.3.1 su jessie

linux

#41

http://forum.adunanza.net/clicks/track?url=http%3A%2F%2Fsourceforge.net%2Fprojects%2Famule-adunanza%2Ffiles%2FaMule-AdunanzA%20%28Mac%29%2FMac%20latest%20available%2FaMule-AdunanzA-2012.1-2.3.1-ppc-i386.zip%2Fdownload&post_id=8226&topic_id=1865


#42

Non credo che sia quello. Mi sembra la versione per Mac quello poi magari mi sbaglio.


#43

https://sourceforge.net/projects/amule-adunanza/files/latest/download?source=files


#44

da qui ho scaricato amule adunanza. sia la beta (moonriver) che la stable

http://svn.code.sf.net/p/amule-adunanza/code/branches/

da terminale è sufficiente digirare:
svn co http://svn.code.sf.net/p/amule-adunanza/code/branches/MoonRiver/

(per la beta. per la stable cambi MoonRiver/ con AdunanzA-3.14b3-buildfix/)

la moonriver riuscivo ad installarla ma era mooolto instabile e piena di bug. oltre al fatto che spesso e volentieri crashava.

la versione 3.14b3 non riuscivo proprio a compilarla perchè mancavano dei file già dal configure…

poi ho provato la versione suggerita da Alex che usavo già su Wheezy
https://sourceforge.net/projects/amule-adunanza/files/latest/download?source=files

con la quale ho ottenuto tutti quei errori sulle wx


#45

OK. Abbiamo una soluzione.
Premetto che non so niente di linux quindi qualsiasi cosa che dico sarà usata contro di voi dove volete :slightly_smiling:

sono partito con l’installazione di jessie su un pc normale.
scaricato amule che a te da problemi ho capito che ha bisogno dei wxWidgets 2.x invece che 3.x che sono installati di default su jessie. Quindi siccome da jessie hanno tolto la possibilita di fare apt-get install wx2.x (l’ho letto da qualche parte), sono partito dalle sorgenti e qui un casino.

In ordine: per installare wxWidgets 2.x su jessie (o almeno sul mio pc) ho dovuto installare tutte le dipendenze ovvero

g++
zlib1g*
make
pkg-config
libgtk

complilato wxWidgets con l’opzione UNICODE se no il mulo facceva caprici e fin qui ci siamo.

il mulo vuole anche libunpnp e crypto quindi ho installato

libupnp
crypto++9
crypto++-dev

poi la compilazione:

./autogen.sh
make

amule up and runnig :blush:

Spero di averti aiutato in qualche modo.


#46

Ok come torno al pc provo la tua soluzione. Dove hai scaricato le wxWidget 2.x? Almeno faccio con i tuoi stessi file!


#47

https://github.com/wxWidgets/wxWidgets/releases/download/v2.8.12/wxGTK-2.8.12.tar.gz


#48

Grazie mille! Prima di domenica sera/lunedì non posso provare. Vi terrò aggiornati! Nel frattempo vi ringrazio per la disponibilità e per la pazienza


#49

Sto provando sul netbook e, nonostante ho installato le wx come mi è stato suggerito, quando vado a compilare amule adunanza ottengo questo risultato:

checking for wx-config... no
configure: error: 
		wxWidgets must be installed on your system but wx-config
		script couldn't be found. Please check that wx-config is
		in path or specified by --with-wx-config=path flag, the
		directory where wxWidgets libraries are installed (returned
		by 'wx-config --libs' command) is in LD_LIBRARY_PATH or
		equivalent variable and wxWidgets version is 2.8.12 or above.

ho provato anche a digitare wx-config --libs ma non esiste wx-config

EDIT*
Errore risolto inserendo --with-w-config=mia path name.
ma adesso ottengo questo errore:

`The configuration you asked for aMuleAdunanzA requires a wxWidgets
    build with the following settings:
        --unicode=yes

nonostante abbia compilato le wx con --enable-unicode
`


#50

Hai seguito la guida di compilazione di wxwidgets?
Alla fine dice di fare:

make install
ldconfig

per installare le modifiche


#51

ho utilizzato
sudo checkinstall

mentre se digito ldconfig mi dice comando sconosciuto.

ho seguito questa guida


#52

segui la guida dentro lo zip. c’è un file che si chiama install-gtk.txt
Un estratto:

If you compile wxWidgets on Linux for the first time and don't like to read
install instructions just do (in the base dir):

> mkdir buildgtk
> cd buildgtk
> ../configure --with-gtk --enable-unicode //aggiunta
> make
> su <type root password>
> make install
> ldconfig
[if you get "ldconfig: command not found", try using "/sbin/ldconfig"]

If you don't do the 'make install' part, you can still use the libraries from
the buildgtk directory, but they may not be available to other users.

Con l’opzione disable-shared non ti crea librerie dinamiche ma solo statiche, quindi non vengono viste da altri progetti.


#53

Finalmente è up e sembra che regge!!! FINALMENTE!!!

Grazie mille! Non ci sarei mai arrivato!

Ora ho amule up, kadu connesso, frecce verdi ma il test porte fallisce

(ma uso Upnp… potrebbe essere questo il motivo?)

Ho notato che spesso appare la finestra di “scaricamento in corso” e contemporaneamente appare nella sezione Log di aMuleAdunanza il seguente avviso:

2016-03-06 21:47:26: L’URL http://update.adunanza.net/3-16/adu_remote.conf ha risposto: 404 - Errore (6)!

ho sbagliato a fare qualche cosa?


#54

Non fallisce, non è online!

Guarda in aduteca Fix amule adunanza [404 - Errore (6)]


#55

Grazie mille ancora!!! Siete stati gentilissimi e moooooolto pazienti!

Grazie!


#56

pazienti??? vedrai quando ti arriva la fattura…

:smiley:


#57

Non arriva più la fattura, passa direttamente @Goku a riscuotere!!
:roftl:


#58

Sapevo che il Maestro avevo un secondo lavoro ma non che facesse lo strozzino.


#59

Arrotonda…


#60

Teletrasporto e sono già lì

#Caccia la grana @Yoshi :mazza:!